Page MenuHomePhabricator

evas_textblock: myanmar script rendering with e vowel.
ClosedPublic

Authored by ali.alzyod on Aug 10 2020, 6:51 AM.

Details

Summary

Resolve rendering e vowel (0x1031) with Myanmar(Burmese) with zero width non joiner (0x200C)

Test Plan

ninja test

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ali.alzyod created this revision.Aug 10 2020, 6:51 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

ali.alzyod requested review of this revision.Aug 10 2020, 6:52 AM
bowonryu accepted this revision.Aug 17 2020, 10:01 PM

Looks good to me.
This patch completely fixes rendering issues in Myanmar e vowel + ZWNJ.

This revision is now accepted and ready to land.Aug 17 2020, 10:01 PM
woohyun accepted this revision.Aug 18 2020, 3:16 AM

This is necessary one for fixing the bug. Thanks.

This revision was automatically updated to reflect the committed changes.